function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = ma.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(31, 55);
g1(1,12)=(-((-y(16))/(y(12)*y(12))));
g1(1,13)=getPowerDeriv(y(13),params(1),1);
g1(1,16)=(-T(1));
g1(2,12)=((1-y(22))*y(19)*(1-params(8))+params(8)*y(19)*(1-y(23)))*(-1)/(y(12)*y(12));
g1(2,19)=T(1)*((1-y(22))*(1-params(8))+params(8)*(1-y(23)));
g1(2,22)=T(1)*(1-params(8))*(-y(19));
g1(2,23)=T(1)*params(8)*(-y(19));
g1(2,24)=1;
g1(2,44)=(-(params(2)*(1-params(7))));
g1(3,12)=(-1)/(y(12)*y(12));
g1(3,3)=(-((-y(24))*y(20)*T(46)+y(18)/y(3)*y(24)*params(5)*(-y(18))/(y(3)*y(3))+T(2)*y(24)*params(5)*(-y(18))/(y(3)*y(3))));
g1(3,18)=(-((-y(24))*y(20)*T(47)+y(18)/y(3)*y(24)*params(5)*1/y(3)+T(2)*y(24)*params(5)*1/y(3)-(T(6)*params(5)*y(44)*params(2)*y(43)*(-y(42))/(y(18)*y(18))*2*y(42)/y(18)+T(5)*(-y(42))/(y(18)*y(18)))));
g1(3,42)=T(6)*params(5)*y(44)*params(2)*y(43)*2*y(42)/y(18)*1/y(18)+T(5)*1/y(18);
g1(3,20)=(-((-y(24))*T(3)));
g1(3,43)=T(6)*T(4)*params(5)*params(2)*y(44);
g1(3,24)=(-(T(3)*(-y(20))+T(2)*params(5)*y(18)/y(3)));
g1(3,44)=T(6)*T(4)*params(5)*params(2)*y(43);
g1(4,12)=(-((-((1-params(9))*(1-params(11))*y(21)+params(9)*y(21)*(1-params(12))))/(y(12)*y(12))));
g1(4,15)=T(9)*1.5*y(15)^0.5;
g1(4,21)=(-(((1-params(9))*(1-params(11))+params(9)*(1-params(12)))/y(12)));
g1(4,27)=T(10)*T(8)*T(7)*(-(2.5*(1-y(27))^1.5));
g1(5,1)=(-(1-params(7)));
g1(5,14)=1;
g1(5,3)=(-(y(18)*y(20)*T(46)));
g1(5,18)=(-(y(20)*T(3)+y(18)*y(20)*T(47)));
g1(5,20)=(-(y(18)*T(3)));
g1(6,11)=1;
g1(6,12)=(-1);
g1(6,18)=(-1);
g1(6,25)=(-1);
g1(6,26)=(-1);
g1(7,11)=1;
g1(7,13)=(-(T(13)*y(17)*T(11)*T(42)/y(28)));
g1(7,1)=(-(T(13)*T(12)*y(17)*T(43)/y(28)));
g1(7,15)=(-(y(17)*T(11)*T(12)*((1-params(9))*y(29)+params(9)*y(30))*T(44)/y(28)));
g1(7,17)=(-(T(13)*T(11)*T(12)/y(28)));
g1(7,28)=(-((-(y(17)*T(11)*T(12)*T(13)))/(y(28)*y(28))));
g1(7,29)=(-(y(17)*T(11)*T(12)*(1-params(9))*y(15)*T(44)/y(28)));
g1(7,30)=(-(y(17)*T(11)*T(12)*params(9)*y(15)*T(44)/y(28)));
g1(8,15)=(-((1-params(9))*params(10)*5*(y(27)+(1-y(27))*log(1-y(27)))));
g1(8,26)=1;
g1(8,27)=(-(y(15)*(1-params(9))*params(10)*5*(-log(1-y(27)))));
g1(9,27)=(-((-5)*(-1)/(1-y(27))));
g1(10,16)=(-(T(40)*T(15)*getPowerDeriv(y(16),params(4),1)/T(20)));
g1(10,17)=(-((-(T(41)*T(19)*T(18)*T(16)*T(17)))/(T(20)*T(20))));
g1(10,19)=(-(T(40)*T(14)*getPowerDeriv(y(19),params(3),1)/T(20)));
g1(10,21)=(-(T(14)*T(15)*getPowerDeriv(y(21),1-params(3)-params(4),1)/T(20)));
g1(10,29)=(-((-(T(41)*T(19)*y(17)*T(16)*T(17)*(1-params(9))*T(48)))/(T(20)*T(20))));
g1(10,30)=(-((-(T(41)*T(19)*y(17)*T(16)*T(17)*params(9)*T(48)))/(T(20)*T(20))));
g1(10,36)=1;
g1(11,15)=(-((1-params(9))*(1-y(27))*params(10)));
g1(11,27)=(-(y(15)*(1-params(9))*(-params(10))));
g1(11,35)=1;
g1(12,15)=(-(y(31)*(1-params(9))*getPowerDeriv((1-params(9))*y(15),params(6),1)));
g1(12,29)=1;
g1(12,31)=(-T(21));
g1(13,15)=(-(y(32)*params(9)*getPowerDeriv(params(9)*y(15),params(6),1)));
g1(13,30)=1;
g1(13,32)=(-T(22));
g1(14,13)=(-(T(13)*T(11)*y(17)*params(4)*getPowerDeriv(y(13),params(4)-1,1)));
g1(14,1)=(-(T(13)*T(23)*y(17)*params(4)*T(43)));
g1(14,15)=(-(T(11)*y(17)*params(4)*T(23)*((1-params(9))*y(29)+params(9)*y(30))*T(44)));
g1(14,16)=1;
g1(14,17)=(-(T(13)*T(23)*T(11)*params(4)));
g1(14,29)=(-(T(11)*y(17)*params(4)*T(23)*(1-params(9))*y(15)*T(44)));
g1(14,30)=(-(T(11)*y(17)*params(4)*T(23)*params(9)*y(15)*T(44)));
g1(15,13)=(-(T(13)*T(25)*T(42)));
g1(15,1)=(-(T(13)*T(12)*y(17)*params(3)*getPowerDeriv(y(1),params(3)-1,1)));
g1(15,15)=(-(T(12)*T(25)*((1-params(9))*y(29)+params(9)*y(30))*T(44)));
g1(15,17)=(-(T(13)*T(12)*params(3)*T(24)));
g1(15,19)=1;
g1(15,29)=(-(T(12)*T(25)*(1-params(9))*y(15)*T(44)));
g1(15,30)=(-(T(12)*T(25)*params(9)*y(15)*T(44)));
g1(16,13)=(-(T(29)*T(11)*y(17)*(1-params(3)-params(4))*(1+params(6))*T(42)/y(15)));
g1(16,1)=(-(T(29)*T(12)*y(17)*(1-params(3)-params(4))*(1+params(6))*T(43)/y(15)));
g1(16,15)=(-((y(15)*T(12)*T(11)*y(17)*(1-params(3)-params(4))*(1+params(6))*(y(31)*(1-params(9))*getPowerDeriv((1-params(9))*y(15),1+params(6),1)+y(32)*params(9)*getPowerDeriv(params(9)*y(15),1+params(6),1))*T(45)-T(12)*T(11)*y(17)*(1-params(3)-params(4))*(1+params(6))*T(29))/(y(15)*y(15))));
g1(16,17)=(-(T(29)*T(12)*T(11)*(1-params(3)-params(4))*(1+params(6))/y(15)));
g1(16,21)=1;
g1(16,31)=(-(T(12)*T(11)*y(17)*(1-params(3)-params(4))*(1+params(6))*T(26)*T(45)/y(15)));
g1(16,32)=(-(T(12)*T(11)*y(17)*(1-params(3)-params(4))*(1+params(6))*T(27)*T(45)/y(15)));
g1(17,37)=params(13)-1;
g1(17,38)=(-params(13));
g1(18,11)=(-(T(30)/y(12)));
g1(18,12)=(-((-(y(11)*T(30)))/(y(12)*y(12))));
g1(18,45)=(-(params(2)*params(14)*T(33)*getPowerDeriv(y(45),params(13)-1,1)));
g1(18,37)=1;
g1(18,46)=(-(params(2)*params(14)*T(34)*T(31)/T(32)));
g1(18,39)=(-(y(11)*getPowerDeriv(y(39),params(13)-1,1)/y(12)+params(2)*params(14)*T(34)*y(46)*T(49)/T(32)));
g1(18,48)=(-(params(2)*params(14)*T(34)*(-(y(46)*T(31)*getPowerDeriv(y(48),1-params(13),1)))/(T(32)*T(32))));
g1(19,11)=(-(y(36)*T(35)/y(12)));
g1(19,12)=(-((-(y(11)*y(36)*T(35)))/(y(12)*y(12))));
g1(19,45)=(-(params(2)*params(14)*T(37)*getPowerDeriv(y(45),params(13),1)));
g1(19,36)=(-(y(11)*T(35)/y(12)));
g1(19,38)=1;
g1(19,47)=(-(params(2)*params(14)*T(38)*T(35)/T(36)));
g1(19,39)=(-(y(11)*y(36)*T(50)/y(12)+params(2)*params(14)*T(38)*y(47)*T(50)/T(36)));
g1(19,48)=(-(params(2)*params(14)*T(38)*(-(T(35)*y(47)*getPowerDeriv(y(48),(-params(13)),1)))/(T(36)*T(36))));
g1(20,8)=(-T(39));
g1(20,28)=1;
g1(20,34)=(-(y(8)*params(14)*getPowerDeriv(y(34),params(13),1)));
g1(20,39)=(-((1-params(14))*T(50)));
g1(21,34)=(-(params(14)*getPowerDeriv(y(34),params(13)-1,1)));
g1(21,39)=(-((1-params(14))*T(49)));
g1(22,25)=(-1);
g1(22,40)=1;
g1(22,41)=(-1);
g1(23,1)=(-((1-params(8))*y(22)*y(19)+params(8)*y(19)*y(23)));
g1(23,15)=(-((1-params(9))*params(11)*y(21)+params(9)*y(21)*params(12)));
g1(23,19)=(-(y(1)*y(22)*(1-params(8))+y(1)*params(8)*y(23)));
g1(23,21)=(-(y(15)*(1-params(9))*params(11)+y(15)*params(9)*params(12)));
g1(23,22)=(-(y(1)*y(19)*(1-params(8))));
g1(23,23)=(-(y(1)*y(19)*params(8)));
g1(23,40)=1;
g1(24,33)=1;
g1(25,2)=(-(params(15)*1/y(2)));
g1(25,17)=1/y(17);
g1(25,49)=(-1);
g1(26,7)=(-(params(18)*10/(y(7)/0.1)));
g1(26,25)=10/(y(25)/0.1);
g1(26,50)=(-1);
g1(27,9)=(-(params(16)*1/y(9)));
g1(27,31)=1/y(31);
g1(27,51)=(-1);
g1(28,10)=(-(params(17)*0.6666666666666666/(y(10)/1.5)));
g1(28,32)=0.6666666666666666/(y(32)/1.5);
g1(28,52)=(-1);
g1(29,5)=(-(params(19)*3.597122302158273/(y(5)/0.278)));
g1(29,22)=3.597122302158273/(y(22)/0.278);
g1(29,53)=(-1);
g1(30,6)=(-(params(20)*5.555555555555555/(y(6)/0.18)));
g1(30,23)=5.555555555555555/(y(23)/0.18);
g1(30,54)=(-1);
g1(31,4)=(-(params(21)*1.136363636363636/(y(4)/0.88)));
g1(31,20)=1.136363636363636/(y(20)/0.88);
g1(31,55)=(-1);

end
