function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 50);

T = ma.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(42) = getPowerDeriv(y(13),params(4),1);
T(43) = getPowerDeriv(y(1),params(3),1);
T(44) = getPowerDeriv(y(15)*(1-params(9))*y(29)+y(15)*params(9)*y(30),1-params(3)-params(4),1);
T(45) = getPowerDeriv(T(28),1-params(3)-params(4),1);
T(46) = (-(params(5)/2*(-y(18))/(y(3)*y(3))*2*T(2)));
T(47) = (-(params(5)/2*2*T(2)*1/y(3)));
T(48) = getPowerDeriv((1-params(9))*y(29)+params(9)*y(30),1-params(3)-params(4),1);
T(49) = getPowerDeriv(y(39),1-params(13),1);
T(50) = getPowerDeriv(y(39),(-params(13)),1);

end
