function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = ma.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(31, 1);
lhs = y(13)^params(1);
rhs = y(16)/y(12);
residual(1) = lhs - rhs;
residual(2) = y(24)+T(1)*((1-y(22))*y(19)*(1-params(8))+params(8)*y(19)*(1-y(23)))-params(2)*(1-params(7))*y(44);
lhs = T(1);
rhs = (-y(24))*y(20)*T(3)+T(2)*y(18)/y(3)*y(24)*params(5)-T(5)*T(6);
residual(3) = lhs - rhs;
lhs = T(9)*T(10);
rhs = ((1-params(9))*(1-params(11))*y(21)+params(9)*y(21)*(1-params(12)))/y(12);
residual(4) = lhs - rhs;
lhs = y(14);
rhs = (1-params(7))*y(1)+y(18)*y(20)*T(3);
residual(5) = lhs - rhs;
lhs = y(11);
rhs = y(12)+y(18)+y(25)+y(26);
residual(6) = lhs - rhs;
lhs = y(11);
rhs = y(17)*T(11)*T(12)*T(13)/y(28);
residual(7) = lhs - rhs;
lhs = y(26);
rhs = y(15)*(1-params(9))*params(10)*5*(y(27)+(1-y(27))*log(1-y(27)));
residual(8) = lhs - rhs;
lhs = 0;
rhs = log(1-y(27))*(-5);
residual(9) = lhs - rhs;
lhs = y(36);
rhs = T(41)/T(20);
residual(10) = lhs - rhs;
lhs = y(35);
rhs = y(15)*(1-params(9))*(1-y(27))*params(10);
residual(11) = lhs - rhs;
lhs = y(29);
rhs = y(31)*T(21);
residual(12) = lhs - rhs;
lhs = y(30);
rhs = y(32)*T(22);
residual(13) = lhs - rhs;
lhs = y(16);
rhs = T(13)*T(11)*y(17)*params(4)*T(23);
residual(14) = lhs - rhs;
lhs = y(19);
rhs = T(13)*T(12)*T(25);
residual(15) = lhs - rhs;
lhs = y(21);
rhs = T(12)*T(11)*y(17)*(1-params(3)-params(4))*(1+params(6))*T(29)/y(15);
residual(16) = lhs - rhs;
lhs = (params(13)-1)*y(37);
rhs = params(13)*y(38);
residual(17) = lhs - rhs;
lhs = y(37);
rhs = y(11)*T(30)/y(12)+params(2)*params(14)*T(33)*T(34);
residual(18) = lhs - rhs;
lhs = y(38);
rhs = y(11)*y(36)*T(35)/y(12)+params(2)*params(14)*T(37)*T(38);
residual(19) = lhs - rhs;
lhs = y(28);
rhs = T(35)*(1-params(14))+T(39)*y(8);
residual(20) = lhs - rhs;
lhs = 1;
rhs = T(31)*(1-params(14))+params(14)*y(34)^(params(13)-1);
residual(21) = lhs - rhs;
lhs = y(40);
rhs = y(25)+y(41);
residual(22) = lhs - rhs;
lhs = y(40);
rhs = y(1)*(1-params(8))*y(22)*y(19)+y(1)*params(8)*y(19)*y(23)+y(15)*(1-params(9))*params(11)*y(21)+y(15)*params(9)*y(21)*params(12);
residual(23) = lhs - rhs;
residual(24) = y(33);
lhs = log(y(17));
rhs = params(15)*log(y(2))+x(it_, 1);
residual(25) = lhs - rhs;
lhs = log(y(25)/0.1);
rhs = params(18)*log(y(7)/0.1)+x(it_, 2);
residual(26) = lhs - rhs;
lhs = log(y(31));
rhs = params(16)*log(y(9))+x(it_, 3);
residual(27) = lhs - rhs;
lhs = log(y(32)/1.5);
rhs = params(17)*log(y(10)/1.5)+x(it_, 4);
residual(28) = lhs - rhs;
lhs = log(y(22)/0.278);
rhs = params(19)*log(y(5)/0.278)+x(it_, 5);
residual(29) = lhs - rhs;
lhs = log(y(23)/0.18);
rhs = params(20)*log(y(6)/0.18)+x(it_, 6);
residual(30) = lhs - rhs;
lhs = log(y(20)/0.88);
rhs = params(21)*log(y(4)/0.88)+x(it_, 7);
residual(31) = lhs - rhs;

end
