function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 41);

T(1) = 1/y(12);
T(2) = y(18)/y(3)-1;
T(3) = 1-params(5)/2*T(2)^2;
T(4) = (y(42)/y(18))^2;
T(5) = params(5)*y(44)*params(2)*y(43)*T(4);
T(6) = y(42)/y(18)-1;
T(7) = params(10)^2.5;
T(8) = (1-params(9))^2.5;
T(9) = (1-y(27))^2.5*T(7)*T(8);
T(10) = y(15)^1.5;
T(11) = y(1)^params(3);
T(12) = y(13)^params(4);
T(13) = (y(15)*(1-params(9))*y(29)+y(15)*params(9)*y(30))^(1-params(3)-params(4));
T(14) = y(16)^params(4);
T(15) = y(19)^params(3);
T(16) = params(3)^params(3);
T(17) = params(4)^params(4);
T(18) = ((1-params(9))*y(29)+params(9)*y(30))^(1-params(3)-params(4));
T(19) = (1-params(3)-params(4))^(1-params(3)-params(4));
T(20) = y(17)*T(16)*T(17)*T(18)*T(19);
T(21) = ((1-params(9))*y(15))^params(6);
T(22) = (params(9)*y(15))^params(6);
T(23) = y(13)^(params(4)-1);
T(24) = y(1)^(params(3)-1);
T(25) = y(17)*params(3)*T(24);
T(26) = ((1-params(9))*y(15))^(1+params(6));
T(27) = (params(9)*y(15))^(1+params(6));
T(28) = y(31)*T(26)+y(32)*T(27);
T(29) = T(28)^(1-params(3)-params(4));
T(30) = y(39)^(params(13)-1);
T(31) = y(39)^(1-params(13));
T(32) = y(48)^(1-params(13));
T(33) = y(46)*T(31)/T(32);
T(34) = y(45)^(params(13)-1);
T(35) = y(39)^(-params(13));
T(36) = y(48)^(-params(13));
T(37) = T(35)*y(47)/T(36);
T(38) = y(45)^params(13);
T(39) = params(14)*y(34)^params(13);
T(40) = y(21)^(1-params(3)-params(4));
T(41) = T(14)*T(15)*T(40);

end
