function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = mb.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(32, 58);
g1(1,13)=(-((-y(17))/(y(13)*y(13))));
g1(1,14)=getPowerDeriv(y(14),params(1),1);
g1(1,17)=(-T(1));
g1(2,13)=((1-y(23))*y(20)*(1-params(8))+params(8)*y(20)*(1-y(24)))*(-1)/(y(13)*y(13));
g1(2,20)=T(1)*((1-y(23))*(1-params(8))+params(8)*(1-y(24)));
g1(2,23)=T(1)*(1-params(8))*(-y(20));
g1(2,24)=T(1)*params(8)*(-y(20));
g1(2,26)=1;
g1(2,46)=(-(params(2)*(1-params(7))));
g1(3,13)=(-1)/(y(13)*y(13));
g1(3,3)=(-((-y(26))*y(21)*T(46)+y(19)/y(3)*y(26)*params(5)*(-y(19))/(y(3)*y(3))+T(2)*y(26)*params(5)*(-y(19))/(y(3)*y(3))));
g1(3,19)=(-((-y(26))*y(21)*T(47)+y(19)/y(3)*y(26)*params(5)*1/y(3)+T(2)*y(26)*params(5)*1/y(3)-(T(6)*params(5)*y(46)*params(2)*y(45)*(-y(44))/(y(19)*y(19))*2*y(44)/y(19)+T(5)*(-y(44))/(y(19)*y(19)))));
g1(3,44)=T(6)*params(5)*y(46)*params(2)*y(45)*2*y(44)/y(19)*1/y(19)+T(5)*1/y(19);
g1(3,21)=(-((-y(26))*T(3)));
g1(3,45)=T(6)*T(4)*params(5)*params(2)*y(46);
g1(3,26)=(-(T(3)*(-y(21))+T(2)*params(5)*y(19)/y(3)));
g1(3,46)=T(6)*T(4)*params(5)*params(2)*y(45);
g1(4,13)=(-((-((1-params(9))*(1-params(11))*y(22)+params(9)*y(22)*(1-params(12))))/(y(13)*y(13))));
g1(4,16)=T(9)*1.5*y(16)^0.5;
g1(4,22)=(-(((1-params(9))*(1-params(11))+params(9)*(1-params(12)))/y(13)));
g1(4,29)=T(10)*T(8)*T(7)*(-(2.5*(1-y(29))^1.5));
g1(5,1)=(-(1-params(7)));
g1(5,15)=1;
g1(5,3)=(-(y(19)*y(21)*T(46)));
g1(5,19)=(-(y(21)*T(3)+y(19)*y(21)*T(47)));
g1(5,21)=(-(y(19)*T(3)));
g1(6,12)=1;
g1(6,13)=(-1);
g1(6,19)=(-1);
g1(6,27)=(-1);
g1(6,28)=(-1);
g1(7,12)=1;
g1(7,14)=(-(T(13)*y(18)*T(11)*T(42)/y(30)));
g1(7,1)=(-(T(13)*T(12)*y(18)*T(43)/y(30)));
g1(7,16)=(-(y(18)*T(11)*T(12)*((1-params(9))*y(31)+params(9)*y(32))*T(44)/y(30)));
g1(7,18)=(-(T(13)*T(11)*T(12)/y(30)));
g1(7,30)=(-((-(y(18)*T(11)*T(12)*T(13)))/(y(30)*y(30))));
g1(7,31)=(-(y(18)*T(11)*T(12)*(1-params(9))*y(16)*T(44)/y(30)));
g1(7,32)=(-(y(18)*T(11)*T(12)*params(9)*y(16)*T(44)/y(30)));
g1(8,16)=(-((1-params(9))*params(10)*5*(y(29)+(1-y(29))*log(1-y(29)))));
g1(8,28)=1;
g1(8,29)=(-(y(16)*(1-params(9))*params(10)*5*(-log(1-y(29)))));
g1(9,29)=(-((-5)*(-1)/(1-y(29))));
g1(9,35)=1;
g1(10,17)=(-(T(16)*T(15)*getPowerDeriv(y(17),params(4),1)/T(22)));
g1(10,18)=(-((-(T(17)*T(21)*T(20)*T(18)*T(19)))/(T(22)*T(22))));
g1(10,20)=(-(T(16)*T(14)*getPowerDeriv(y(20),params(3),1)/T(22)));
g1(10,22)=(-(T(14)*T(15)*T(48)/T(22)));
g1(10,29)=(-(T(14)*T(15)*T(48)*(1-params(9))*params(10)*(-y(35))/T(22)));
g1(10,31)=(-((-(T(17)*T(21)*y(18)*T(18)*T(19)*(1-params(9))*T(49)))/(T(22)*T(22))));
g1(10,32)=(-((-(T(17)*T(21)*y(18)*T(18)*T(19)*params(9)*T(49)))/(T(22)*T(22))));
g1(10,35)=(-(T(14)*T(15)*(1-params(9))*(1-y(29))*params(10)*T(48)/T(22)));
g1(10,38)=1;
g1(11,16)=(-((1-params(9))*(1-y(29))*params(10)));
g1(11,29)=(-(y(16)*(1-params(9))*(-params(10))));
g1(11,37)=1;
g1(12,16)=(-(y(33)*(1-params(9))*getPowerDeriv((1-params(9))*y(16),params(6),1)));
g1(12,31)=1;
g1(12,33)=(-T(23));
g1(13,16)=(-(y(34)*params(9)*getPowerDeriv(params(9)*y(16),params(6),1)));
g1(13,32)=1;
g1(13,34)=(-T(24));
g1(14,14)=(-(T(13)*T(11)*y(18)*params(4)*getPowerDeriv(y(14),params(4)-1,1)));
g1(14,1)=(-(T(13)*T(25)*y(18)*params(4)*T(43)));
g1(14,16)=(-(T(11)*y(18)*params(4)*T(25)*((1-params(9))*y(31)+params(9)*y(32))*T(44)));
g1(14,17)=1;
g1(14,18)=(-(T(13)*T(25)*T(11)*params(4)));
g1(14,31)=(-(T(11)*y(18)*params(4)*T(25)*(1-params(9))*y(16)*T(44)));
g1(14,32)=(-(T(11)*y(18)*params(4)*T(25)*params(9)*y(16)*T(44)));
g1(15,14)=(-(T(13)*T(27)*T(42)));
g1(15,1)=(-(T(13)*T(12)*y(18)*params(3)*getPowerDeriv(y(1),params(3)-1,1)));
g1(15,16)=(-(T(12)*T(27)*((1-params(9))*y(31)+params(9)*y(32))*T(44)));
g1(15,18)=(-(T(13)*T(12)*params(3)*T(26)));
g1(15,20)=1;
g1(15,31)=(-(T(12)*T(27)*(1-params(9))*y(16)*T(44)));
g1(15,32)=(-(T(12)*T(27)*params(9)*y(16)*T(44)));
g1(16,14)=(-(T(31)*T(11)*y(18)*(1-params(3)-params(4))*(1+params(6))*T(42)/y(16)));
g1(16,1)=(-(T(31)*T(12)*y(18)*(1-params(3)-params(4))*(1+params(6))*T(43)/y(16)));
g1(16,16)=(-((y(16)*T(12)*T(11)*y(18)*(1-params(3)-params(4))*(1+params(6))*(y(33)*(1-params(9))*getPowerDeriv((1-params(9))*y(16),1+params(6),1)+y(34)*params(9)*getPowerDeriv(params(9)*y(16),1+params(6),1))*T(45)-T(12)*T(11)*y(18)*(1-params(3)-params(4))*(1+params(6))*T(31))/(y(16)*y(16))));
g1(16,18)=(-(T(31)*T(12)*T(11)*(1-params(3)-params(4))*(1+params(6))/y(16)));
g1(16,22)=1;
g1(16,29)=(1-params(9))*(-(params(10)*y(35)));
g1(16,33)=(-(T(12)*T(11)*y(18)*(1-params(3)-params(4))*(1+params(6))*T(28)*T(45)/y(16)));
g1(16,34)=(-(T(12)*T(11)*y(18)*(1-params(3)-params(4))*(1+params(6))*T(29)*T(45)/y(16)));
g1(16,35)=(1-params(9))*(1-y(29))*params(10);
g1(17,39)=params(13)-1;
g1(17,40)=(-params(13));
g1(18,12)=(-(T(32)/y(13)));
g1(18,13)=(-((-(y(12)*T(32)))/(y(13)*y(13))));
g1(18,47)=(-(params(2)*params(14)*T(35)*getPowerDeriv(y(47),params(13)-1,1)));
g1(18,39)=1;
g1(18,48)=(-(params(2)*params(14)*T(36)*T(33)/T(34)));
g1(18,41)=(-(y(12)*getPowerDeriv(y(41),params(13)-1,1)/y(13)+params(2)*params(14)*T(36)*y(48)*T(50)/T(34)));
g1(18,50)=(-(params(2)*params(14)*T(36)*(-(y(48)*T(33)*getPowerDeriv(y(50),1-params(13),1)))/(T(34)*T(34))));
g1(19,12)=(-(y(38)*T(37)/y(13)));
g1(19,13)=(-((-(y(12)*y(38)*T(37)))/(y(13)*y(13))));
g1(19,47)=(-(params(2)*params(14)*T(39)*getPowerDeriv(y(47),params(13),1)));
g1(19,38)=(-(y(12)*T(37)/y(13)));
g1(19,40)=1;
g1(19,49)=(-(params(2)*params(14)*T(40)*T(37)/T(38)));
g1(19,41)=(-(y(12)*y(38)*T(51)/y(13)+params(2)*params(14)*T(40)*y(49)*T(51)/T(38)));
g1(19,50)=(-(params(2)*params(14)*T(40)*(-(T(37)*y(49)*getPowerDeriv(y(50),(-params(13)),1)))/(T(38)*T(38))));
g1(20,9)=(-T(41));
g1(20,30)=1;
g1(20,36)=(-(y(9)*params(14)*getPowerDeriv(y(36),params(13),1)));
g1(20,41)=(-((1-params(14))*T(51)));
g1(21,36)=(-(params(14)*getPowerDeriv(y(36),params(13)-1,1)));
g1(21,41)=(-((1-params(14))*T(50)));
g1(22,27)=(-1);
g1(22,42)=1;
g1(22,43)=(-1);
g1(23,1)=(-((1-params(8))*y(23)*y(20)+params(8)*y(20)*y(24)));
g1(23,16)=(-((1-params(9))*params(11)*y(22)+params(9)*y(22)*params(12)));
g1(23,20)=(-(y(1)*y(23)*(1-params(8))+y(1)*params(8)*y(24)));
g1(23,22)=(-(y(16)*(1-params(9))*params(11)+y(16)*params(9)*params(12)));
g1(23,23)=(-(y(1)*y(20)*(1-params(8))));
g1(23,24)=(-(y(1)*y(20)*params(8)));
g1(23,35)=(-y(37));
g1(23,37)=(-y(35));
g1(23,42)=1;
g1(24,25)=(-1);
g1(24,35)=1;
g1(25,2)=(-(params(15)*1/y(2)));
g1(25,18)=1/y(18);
g1(25,51)=(-1);
g1(26,8)=(-(params(18)*10/(y(8)/0.1)));
g1(26,27)=10/(y(27)/0.1);
g1(26,52)=(-1);
g1(27,10)=(-(params(16)*1/y(10)));
g1(27,33)=1/y(33);
g1(27,53)=(-1);
g1(28,11)=(-(params(17)*0.6666666666666666/(y(11)/1.5)));
g1(28,34)=0.6666666666666666/(y(34)/1.5);
g1(28,54)=(-1);
g1(29,5)=(-(params(19)*3.759398496240602/(y(5)/0.266)));
g1(29,23)=3.759398496240602/(y(23)/0.266);
g1(29,55)=(-1);
g1(30,6)=(-(params(20)*5.555555555555555/(y(6)/0.18)));
g1(30,24)=5.555555555555555/(y(24)/0.18);
g1(30,56)=(-1);
g1(31,4)=(-(params(21)*1.136363636363636/(y(4)/0.88)));
g1(31,21)=1.136363636363636/(y(21)/0.88);
g1(31,57)=(-1);
g1(32,7)=(-(params(22)*5/(y(7)/0.2)));
g1(32,25)=5/(y(25)/0.2);
g1(32,58)=(-1);

end
