function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = md.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(32, 1);
lhs = y(14)^params(1);
rhs = y(17)/y(13);
residual(1) = lhs - rhs;
residual(2) = y(26)+T(1)*((1-y(23))*y(20)*(1-params(8))+params(8)*y(20)*(1-y(24)))-params(2)*(1-params(7))*y(46);
lhs = T(1);
rhs = (-y(26))*y(21)*T(3)+T(2)*y(19)/y(3)*y(26)*params(5)-T(5)*T(6);
residual(3) = lhs - rhs;
lhs = T(9)*T(10);
rhs = ((1-params(9))*(1-params(11))*y(22)+params(9)*y(22)*(1-params(12)))/y(13);
residual(4) = lhs - rhs;
lhs = y(15);
rhs = (1-params(7))*y(1)+y(19)*y(21)*T(3);
residual(5) = lhs - rhs;
lhs = y(12);
rhs = y(13)+y(19)+y(27)+y(28);
residual(6) = lhs - rhs;
lhs = y(12);
rhs = y(18)*T(11)*T(12)*T(13)/y(30);
residual(7) = lhs - rhs;
lhs = y(28);
rhs = y(16)*(1-params(9))*params(10)*5*(y(29)+(1-y(29))*log(1-y(29)));
residual(8) = lhs - rhs;
lhs = y(35);
rhs = log(1-y(29))*(-5);
residual(9) = lhs - rhs;
lhs = y(38);
rhs = T(17)/T(22);
residual(10) = lhs - rhs;
lhs = y(37);
rhs = y(16)*(1-params(9))*(1-y(29))*params(10);
residual(11) = lhs - rhs;
lhs = y(31);
rhs = y(33)*T(23);
residual(12) = lhs - rhs;
lhs = y(32);
rhs = y(34)*T(24);
residual(13) = lhs - rhs;
lhs = y(17);
rhs = T(13)*T(11)*y(18)*params(4)*T(25);
residual(14) = lhs - rhs;
lhs = y(20);
rhs = T(13)*T(12)*T(27);
residual(15) = lhs - rhs;
lhs = y(22)+(1-params(9))*(1-y(29))*params(10)*y(35);
rhs = T(12)*T(11)*y(18)*(1-params(3)-params(4))*(1+params(6))*T(31)/y(16);
residual(16) = lhs - rhs;
lhs = (params(13)-1)*y(39);
rhs = params(13)*y(40);
residual(17) = lhs - rhs;
lhs = y(39);
rhs = y(12)*T(32)/y(13)+params(2)*params(14)*T(35)*T(36);
residual(18) = lhs - rhs;
lhs = y(40);
rhs = y(12)*y(38)*T(37)/y(13)+params(2)*params(14)*T(39)*T(40);
residual(19) = lhs - rhs;
lhs = y(30);
rhs = T(37)*(1-params(14))+T(41)*y(9);
residual(20) = lhs - rhs;
lhs = 1;
rhs = T(33)*(1-params(14))+params(14)*y(36)^(params(13)-1);
residual(21) = lhs - rhs;
lhs = y(42);
rhs = y(27)+y(43);
residual(22) = lhs - rhs;
lhs = y(42);
rhs = y(1)*(1-params(8))*y(23)*y(20)+y(1)*params(8)*y(20)*y(24)+y(16)*(1-params(9))*params(11)*y(22)+y(16)*params(9)*y(22)*params(12)+y(35)*y(37);
residual(23) = lhs - rhs;
lhs = y(37);
rhs = y(25)*0.687051;
residual(24) = lhs - rhs;
lhs = log(y(18));
rhs = params(15)*log(y(2))+x(it_, 1);
residual(25) = lhs - rhs;
lhs = log(y(27)/0.1);
rhs = params(18)*log(y(8)/0.1)+x(it_, 2);
residual(26) = lhs - rhs;
lhs = log(y(33));
rhs = params(16)*log(y(10))+x(it_, 3);
residual(27) = lhs - rhs;
lhs = log(y(34)/1.5);
rhs = params(17)*log(y(11)/1.5)+x(it_, 4);
residual(28) = lhs - rhs;
lhs = log(y(23)/0.278);
rhs = params(19)*log(y(5)/0.278)+x(it_, 5);
residual(29) = lhs - rhs;
lhs = log(y(24)/0.18);
rhs = params(20)*log(y(6)/0.18)+x(it_, 6);
residual(30) = lhs - rhs;
lhs = log(y(21)/0.88);
rhs = params(21)*log(y(4)/0.88)+x(it_, 7);
residual(31) = lhs - rhs;
lhs = log(y(25)/0.75);
rhs = params(22)*log(y(7)/0.75)+x(it_, 8);
residual(32) = lhs - rhs;

end
