function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = md.static_resid_tt(T, y, x, params);
end
residual = zeros(32, 1);
lhs = y(3)^params(1);
rhs = y(6)/y(2);
residual(1) = lhs - rhs;
residual(2) = y(15)+T(1)*((1-y(12))*y(9)*(1-params(8))+params(8)*y(9)*(1-y(13)))-y(15)*params(2)*(1-params(7));
lhs = T(1);
rhs = (-y(15))*y(10);
residual(3) = lhs - rhs;
lhs = T(4)*T(5);
rhs = ((1-params(9))*(1-params(11))*y(11)+params(9)*y(11)*(1-params(12)))/y(2);
residual(4) = lhs - rhs;
lhs = y(4);
rhs = (1-params(7))*y(4)+y(10)*y(8);
residual(5) = lhs - rhs;
lhs = y(1);
rhs = y(2)+y(8)+y(16)+y(17);
residual(6) = lhs - rhs;
lhs = y(1);
rhs = y(7)*T(6)*T(7)*T(8)/y(19);
residual(7) = lhs - rhs;
lhs = y(17);
rhs = y(5)*(1-params(9))*params(10)*5*(y(18)+(1-y(18))*log(1-y(18)));
residual(8) = lhs - rhs;
lhs = y(24);
rhs = log(1-y(18))*(-5);
residual(9) = lhs - rhs;
lhs = y(27);
rhs = T(12)/T(17);
residual(10) = lhs - rhs;
lhs = y(26);
rhs = y(5)*(1-params(9))*(1-y(18))*params(10);
residual(11) = lhs - rhs;
lhs = y(20);
rhs = y(22)*T(18);
residual(12) = lhs - rhs;
lhs = y(21);
rhs = y(23)*T(19);
residual(13) = lhs - rhs;
lhs = y(6);
rhs = T(8)*T(6)*y(7)*params(4)*T(20);
residual(14) = lhs - rhs;
lhs = y(9);
rhs = T(8)*T(7)*T(22);
residual(15) = lhs - rhs;
lhs = y(11)+(1-params(9))*(1-y(18))*params(10)*y(24);
rhs = T(7)*T(6)*y(7)*(1-params(3)-params(4))*(1+params(6))*T(26)/y(5);
residual(16) = lhs - rhs;
lhs = (params(13)-1)*y(28);
rhs = params(13)*y(29);
residual(17) = lhs - rhs;
lhs = y(28);
rhs = y(1)*T(27)/y(2)+params(2)*params(14)*y(28)*T(28);
residual(18) = lhs - rhs;
lhs = y(29);
rhs = y(1)*y(27)*T(29)/y(2)+params(2)*params(14)*y(29)*T(30);
residual(19) = lhs - rhs;
lhs = y(19);
rhs = T(29)*(1-params(14))+y(19)*params(14)*T(30);
residual(20) = lhs - rhs;
lhs = 1;
rhs = y(30)^(1-params(13))*(1-params(14))+params(14)*T(28);
residual(21) = lhs - rhs;
lhs = y(31);
rhs = y(16)+y(32);
residual(22) = lhs - rhs;
lhs = y(31);
rhs = y(4)*(1-params(8))*y(12)*y(9)+y(4)*params(8)*y(9)*y(13)+y(5)*(1-params(9))*params(11)*y(11)+y(5)*params(9)*y(11)*params(12)+y(24)*y(26);
residual(23) = lhs - rhs;
lhs = y(26);
rhs = y(14)*0.687051;
residual(24) = lhs - rhs;
lhs = log(y(7));
rhs = log(y(7))*params(15)+x(1);
residual(25) = lhs - rhs;
lhs = log(y(16)/0.1);
rhs = log(y(16)/0.1)*params(18)+x(2);
residual(26) = lhs - rhs;
lhs = log(y(22));
rhs = log(y(22))*params(16)+x(3);
residual(27) = lhs - rhs;
lhs = log(y(23)/1.5);
rhs = log(y(23)/1.5)*params(17)+x(4);
residual(28) = lhs - rhs;
lhs = log(y(12)/0.278);
rhs = log(y(12)/0.278)*params(19)+x(5);
residual(29) = lhs - rhs;
lhs = log(y(13)/0.18);
rhs = log(y(13)/0.18)*params(20)+x(6);
residual(30) = lhs - rhs;
lhs = log(y(10)/0.88);
rhs = log(y(10)/0.88)*params(21)+x(7);
residual(31) = lhs - rhs;
lhs = log(y(14)/0.75);
rhs = log(y(14)/0.75)*params(22)+x(8);
residual(32) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
