//------------------------------------
// claim the endogenous variables
//------------------------------------
var y c l k m w a i r h pm tauka taukb Lambda g ce er vp etaa etab ddla ddlb pz pi z mc x1 x2 pstar tax tr;

//------------------------------------
// claim the shocks variables
//------------------------------------
varexo eps_a eps_g eps_da eps_db eps_ka eps_kb eps_h;

//------------------------------------
// claim parameters
//------------------------------------
parameters sigma beta alpha fai vfie gamma delta Omegaa Omegab s tauma taumb epsilon theta rhoa rhoda rhodb rhoG rhoKa rhoKb rhoh;

//------------------------------------
// calibration
//------------------------------------

beta = 0.99;
sigma = 1.97;
alpha = 0.33;
fai = 0.58;
gamma = 1.136;
delta = 0.025;
Omegaa = 0.1;
Omegab = 0.1;
s = 0.6;
epsilon = 6;
theta = 0.75;

vfie = 2;
tauma = 0.15;
taumb = 0.09;

rhoa = 0.8;
rhoda = 0.49;
rhodb = 0.49;
rhoG = 0.8;
rhoKa = 0.8;
rhoKb = 0.8;
rhoh = 0.54;

//-------------------------------------
// set the model
//-------------------------------------
model;
l^sigma=w/c;
Lambda+1/c*((1-tauka)*r*(1-Omegaa)+(1-taukb)*r*Omegaa)-beta*(1-delta)*Lambda(+1)=0;
1/c=-Lambda*h*(1-vfie/2*(i/i(-1)-1)^2)+Lambda*vfie*(i/i(-1))*(i/i(-1)-1)-beta*h(+1)*Lambda(+1)*vfie*(i(+1)/i)^2*(i(+1)/i-1);
(1-er)^2.5*s^2.5*((1-Omegab)^2.5)*m^1.5=((1-tauma)*pm*(1-Omegab)+(1-taumb)*pm*Omegab)/c;
k=(1-delta)*k(-1)+h*(1-vfie/2*(i/i(-1)-1)^2)*i;
y=c+i+g+ce;
y=a*(k(-1)^alpha)*(l^fai)*((etaa*(1-Omegab)*m+etab*Omegab*m)^(1-alpha-fai))/vp;
ce=5*s*(1-Omegab)*m*((1-er)*log(1-er)+er);
pz=-5*log(1-er);
mc=((w^fai)*(r^alpha)*((pz*(1-er)*s*(1-Omegab)+pm)^(1-alpha-fai)))/(a*(alpha^alpha)*(fai^fai)*((etaa*(1-Omegab)+etab*Omegab)^(1-alpha-fai))*((1-alpha-fai)^(1-alpha-fai)));
z=(1-er)*s*(1-Omegab)*m;
etaa=ddla*((1-Omegab)*m)^gamma;
etab=ddlb*(Omegab*m)^gamma;
w=fai*a*(k(-1)^alpha)*(l^(fai-1))*(etaa*(1-Omegab)*m+etab*Omegab*m)^(1-alpha-fai);
r=alpha*a*k(-1)^(alpha-1)*(l^fai)*(etaa*(1-Omegab)*m+etab*Omegab*m)^(1-alpha-fai);
(pz*s*(1-er)*(1-Omegab)+pm)=(gamma+1)*(1-alpha-fai)*a*(k(-1)^alpha)*(l^fai)*((ddla*((1-Omegab)*m)^(gamma+1)+ddlb*(Omegab*m)^(gamma+1))^(1-alpha-fai))/m;
(epsilon-1)*x1=epsilon*x2;
x1=y*pstar^(epsilon-1)*1/c+beta*theta*(x1(+1)*(pstar^(1-epsilon))/(pstar(+1)^(1-epsilon))*pi(+1)^(epsilon-1));
x2=y*mc*pstar^(-epsilon)*1/c+beta*theta*(x2(+1)*(pstar^(-epsilon))/(pstar(+1)^(-epsilon))*(pi(+1)^epsilon));
vp=(1-theta)*pstar^(-epsilon)+theta*pi^epsilon*vp(-1);
1=(1-theta)*pstar^(1-epsilon)+theta*(pi^(epsilon-1));
tax=g+tr;
tax=tauka*r*(1-Omegaa)*k(-1)+taukb*r*Omegaa*k(-1)+tauma*pm*(1-Omegab)*m+taumb*pm*Omegab*m+pz*z;
pz=0;

log(a/1)=rhoa*log(a(-1)/1)+eps_a;
log(g/0.1)=rhoG*log(g(-1)/0.1)+eps_g;
log(ddla/1)=rhoda*log(ddla(-1)/1)+eps_da;
log(ddlb/1.5)=rhodb*log(ddlb(-1)/1.5)+eps_db;
log(tauka/0.278)=rhoKa*log(tauka(-1)/0.278)+eps_ka;
log(taukb/0.18)=rhoKb*log(taukb(-1)/0.18)+eps_kb;
log(h/0.88)=rhoh*log(h(-1)/0.88)+eps_h;
end;

//-------------------------------------
// compute the initial values
//-------------------------------------

initval;
y = 2.38985;
c = 1.7639;
l = 0.85;
k = 10.5698;
m = 0.98653;
w = 0.87631;
a= 1;
i = 0.34863;
r = 0.0573433;
pm    = 0.35934;
h = 1;
tauka = 0.278;
taukb = 0.18;
Lambda = -0.546979;
g = 0.1;
ce = 0;
er = 0;
vp = 1;
etaa = 0.841223;
etab = 0.880808;
ddla = 1;
ddlb = 1.5;
pz = 0;
pi = 0.999889;
z = 0.515288;
mc = 0.8666666;
x1 = 5.86403;
x2 = 5.05335;
pstar = 0.999669;
tax = 0.789;
tr= 0.5765913;
end;

steady;
check;

shocks;
var eps_a;
stderr 1;
end;

shocks;
var eps_g;
stderr 1;
end;

shocks;
var eps_da;
stderr 1;
end;

shocks;
var eps_db;
stderr 1;
end;

shocks;
var eps_ka;
stderr 1;
end;

shocks;
var eps_kb;
stderr 1;
end;

shocks;
var eps_h;
stderr 1;
end;


stoch_simul(order=1, periods=1000,irf=100,conditional_variance_decomposition =[1:50]);

